package properties;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.Properties;

public class UserProperties {
    static public String get(String propertyName) {
        try (InputStream input = new FileInputStream("src/main/resources/account.properties")) {
            Properties properties = new Properties();
            properties.load(input);

            if (properties.containsKey(propertyName)) return properties.getProperty(propertyName);
        } catch (IOException ex) {
            ex.printStackTrace();
        }
        
        return null;
    }
}
