package com.nisum.safeway.page_factories;

import com.nisum.safeway.pages.SeleniumPageTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import properties.UserProperties;
import static org.testng.Assert.assertEquals;

public class HomePFTests extends SeleniumPageTest {
    HomePF pageFactory;

    @BeforeTest
    public void authenticate() {
        pageFactory = new HomePF(driver);
        pageFactory.authenticate();
    }

    @Test
    public void welcomeMsgContainsUserFirstName() {
        pageFactory.lnkAccount.click();
        assertEquals("Hi " + UserProperties.get("firstName"), pageFactory.welcomeMsg.getText());
    }
}
