package com.nisum.safeway.page_factories;

import com.nisum.safeway.pages.SeleniumPageTest;
import org.openqa.selenium.WebElement;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import static org.testng.Assert.assertTrue;

import properties.UserProperties;

public class LoginPFTests extends SeleniumPageTest {
    LoginPF pageFactory;

    @BeforeTest
    public void authenticate() {
        pageFactory = new LoginPF(driver);
        pageFactory.login(UserProperties.get("email"), UserProperties.get("password"));
    }

    @Test
    public void lnkAccountShouldBeVisible() {
        WebElement lnkAccount = new HomePF(driver).lnkAccount;
        assertTrue(lnkAccount.isDisplayed(), "Account link is visible");
    }
}
