package com.nisum.safeway.pages;

import org.openqa.selenium.WebElement;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import static org.testng.Assert.assertEquals;

import properties.UserProperties;

public class HomePageTests extends SeleniumPageTest {
    HomePage page;
    
    @BeforeTest
    public void authenticate() {
        page = new HomePage(driver);
        page.authenticate();
    }
    
    @Test
    public void welcomeMsgContainsUserFirstName() {
        page.getLnkAccount().click();
        WebElement welcomeMsg = page.getWelcomeMsg();
        assertEquals("Hi " + UserProperties.get("firstName"), welcomeMsg.getText()); 
    }
}
