package com.nisum.safeway.pages;

import org.openqa.selenium.WebElement;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import static org.testng.Assert.assertTrue;

import properties.UserProperties;

public class LoginPageTests extends SeleniumPageTest {
    LoginPage page;

    @BeforeTest
    public void authenticate() {
        page = new LoginPage(driver);
        page.login(UserProperties.get("email"), UserProperties.get("password"));
    }

    @Test
    public void lnkAccountShouldBeVisible() {
        WebElement lnkAccount = new HomePage(driver).getLnkAccount();
        assertTrue(lnkAccount.isDisplayed(), "Account link is visible");
    }
}
