package com.nisum.safeway.page_factories;

import com.nisum.safeway.pages.SeleniumPageTest;
import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import properties.UserProperties;
import static org.testng.Assert.assertEquals;

public class AccountSettingsPFTests extends SeleniumPageTest {
    AccountSettingsPF pageFactory;

    @BeforeTest
    public void authenticate() {
        pageFactory = new AccountSettingsPF(driver);
        pageFactory.authenticateAndNavigate();
    }

    @Test
    public void userDetailsArePresent() {
        assertEquals(UserProperties.get("firstName"), pageFactory.inpFirstName.getAttribute("value"));
        assertEquals(UserProperties.get("lastName"), pageFactory.inpLastName.getAttribute("value"));
        assertEquals(UserProperties.get("email"), pageFactory.inpEmail.getAttribute("value"));
    }
}
