package com.nisum.safeway.pages;

import org.testng.annotations.BeforeTest;
import org.testng.annotations.Test;
import static org.testng.Assert.assertEquals;

import properties.UserProperties;

public class AccountSettingsPageTests extends SeleniumPageTest {
    AccountSettingsPage page;

    @BeforeTest
    public void authenticateAndNavigate() {
        this.page = new AccountSettingsPage(driver);
        page.authenticateAndNavigate();
    }
     
    @Test
    public void userDetailsArePresent() {
        assertEquals(UserProperties.get("firstName"), page.getInpFirstName().getAttribute("value"));
        assertEquals(UserProperties.get("lastName"), page.getInpLastName().getAttribute("value"));
        assertEquals(UserProperties.get("email"), page.getInpEmail().getAttribute("value"));
    }
}
